#ifndef _PRINTM_H
#define _PRINTM_H

/**
 *  \file printm.h
 *
 *  Kiírást segítő makrók
 */

/**
 * Kicsit trükkös makró ami végrehajtás előtt kiírja a paramétereit.
 * A végrehajtott kód eredményét C kommentként jeleníti meg.
 *
 * mellékhatás: tartósan balra igazítást állít.
 */
#define _(...) std::cout << std::setiosflags(std::ios::left) << std::setw(50) << \
    #__VA_ARGS__";" << "// "; __VA_ARGS__

/**
 * _() hívása után soremelést ír;
 */
#define __(...) _(__VA_ARGS__); std::cout << std::endl;

/**
 * soremelést ír;
 */
#define ___ std::cout << std::endl;

#endif // _PRINTM_H
